System.ServiceModel 4.0.0.0 System.ServiceModel.Security.Tokens.ServiceModelSecurityTokenRequirement

Token requirement classes are used by a security token manager to specify what is required of a security token, such as the key size, key type, and how the key can be used. When a security token can be identified that matches the specified criteria, a security token provider and security token authenticator can be created.

This token requirement class specifies recipient-related requirements.

Specifies security property requirements specific to the listener service in the indigo1.

- Constructor
  4.0.0.0

  The and properties are set to false.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.ServiceModel.AuditLogLocation To be added.

  The is an enumeration with the following members:

  : The application log in the operating system Event Log.

  : The default location, which is determined by the operating system.

  : The security log in the event log.

  Gets or sets the audit log location.

- Property
  4.0.0.0
  System.Uri To be added. To be added.

  Gets or sets the listener URI.

- Property
  4.0.0.0
  System.ServiceModel.AuditLevel To be added.

  The is an enumeration with the following members:

  : Only failed security-related events are recorded.

  : No events are recorded.

  : Only successful security-related events are recorded.

  : Both failed and successful security-related events are recorded.

  Gets or sets the message authentication audit level.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates whether the audit failures are suppressed.

- Method
  4.0.0.0
  System.String

  This method displays the property type name, and for each property, the property name and value.

  Displays a text representation of this instance of the class.

  A text representation of this instance of the class.